<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Preface to the First Edition</title>
<link href="sx1.html" rev=precedes>
<link href="sx3.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Preface to the First Edition</H1>

page xi
<p>This Preface,
in a few spare paragraphs,
sums up much of the philosophy of C
and the authors' philosophy about programming in general.
Their comments in C's size and scope are fundamental,
and though no one may have fully recognized it at the time
(or yet),
this unassuming approach to the design of the language
is surely a significant factor behind C's success.
I didn't have the first paragraph of the Preface to the First 
Edition in front of me when I wrote my notes (just above) on 
the Preface to the Second Edition, but it's not surprising that 
they're similar.
</p><p>As the authors say,
they assume some familiarity with basic programming concepts;
other notes in this series will give you a bit of help with 
those concepts if you need it.
The authors also anticipate another theme of theirs,
which is that they will stress learning by doing.
(I'll have more to say about this as the learning begins.)
</p><p>Deep sentence:
<blockquote>Besides showing how to make effective use of the language,
we have tried where possible
to illustrate useful algorithms
and principles of good style and sound design.
</blockquote>The authors' advice on style <em>is</em> good,
and their design <em>is</em> sound.
Pay attention to the things they say which go beyond
the nuts-and-bolts details of C:
there's a lot to learn here about programming in general.
</p><hr>
<p>
Read sequentially:
<a href="sx1.html" rev=precedes>prev</a>
<a href="sx3.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
